| Home | Libraries | People | FAQ | More

## BoostBook element `typedef`

typedef — Declares a typedef

## Synopsis

typedef ::= (type, purpose?, description?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2008-03-15 15:10:41 -0400 (Sat, 15 Mar 2008) $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes